diff -Naur touchmegames-0.2.5/src/wordhunt/events.cpp touchmegames-0.2.5.new/src/wordhunt/events.cpp
--- touchmegames-0.2.5/src/wordhunt/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/wordhunt/events.cpp	2014-02-09 15:47:24.466829090 +0100
@@ -57,25 +57,25 @@
     std::string attempt;
     std::string revWord;
     bool done(false);
-    int len(word.size());
+    long len(word.size());
     
-    for (int i = word.size() - 1; i >= 0; --i) {
+    for (long i = word.size() - 1; i >= 0; --i) {
         revWord += word[i];
     }
     
-    for (int x = 0; x < 12 && !done; ++x) {
-        for (int y = 0; y < 12 && !done; ++y) {
+    for (long x = 0; x < 12 && !done; ++x) {
+        for (long y = 0; y < 12 && !done; ++y) {
             
             attempt.clear();
             // horizontal check
-            for (int i = 0; i + x < 12 && i < len; ++i) {
+            for (long i = 0; i + x < 12 && i < len; ++i) {
                 //attempt += gtk_label_get_text((GtkLabel *)letters[x + i][y]);
-                attempt += toupper((int)g_object_get_data((GObject *)letters[x + i][y], KEY_STR));
+                attempt += toupper((long)g_object_get_data((GObject *)letters[x + i][y], KEY_STR));
             }
     
             if (word == attempt || attempt == revWord) {
     
-                    for (int i = 0; i + x < 12 & i < len; ++i) {
+                    for (long i = 0; i + x < 12 & i < len; ++i) {
                         std::string str;
                         
                         str = "letterhi_";
@@ -89,14 +89,14 @@
             
             attempt.clear();
             // vertical check
-            for (int i = 0; i + y < 12 && i < len; ++i) {
+            for (long i = 0; i + y < 12 && i < len; ++i) {
                 //attempt += gtk_label_get_text((GtkLabel *)letters[x][y + i]);
-                attempt += toupper((int)g_object_get_data((GObject *)letters[x][y + i], KEY_STR));
+                attempt += toupper((long)g_object_get_data((GObject *)letters[x][y + i], KEY_STR));
             }
             
             
             if (word == attempt || attempt == revWord) {
-                for (int i = 0; i + y < 12 & i < len; ++i) {
+                for (long i = 0; i + y < 12 & i < len; ++i) {
                     //gtk_widget_modify_style(letters[x][y + i]->parent, bgCircle);
                     std::string str;
                     str = "letterhi_";
@@ -113,7 +113,7 @@
 }
 
 void WordHunt::findWords() {
-    for (int i = 0; i < 10; ++i) {
+    for (long i = 0; i < 10; ++i) {
         if (!wordFound[i]) {
             findWord(words[i]);
         }
@@ -148,7 +148,7 @@
                 std::string str;
                     
                     //score = atoi(gtk_label_get_text((GtkLabel *)wh->totalScore));
-                    wh->totalScoreInt += (int)(wh->timeLeft * 600.0);
+                    wh->totalScoreInt += (long)(wh->timeLeft * 600.0);
                     sstr << wh->totalScoreInt;
                     str = sstr.str();
                     wh->addCommas(str);
@@ -158,9 +158,9 @@
             second = (wh->timeLeft * 100.0) / 5.0 * 3.0;
             minute = second / 60.0;
             
-            sstr << (int)minute << ':' << std::setw(2) << std::setfill('0') << (int)second;
+            sstr << (long)minute << ':' << std::setw(2) << std::setfill('0') << (long)second;
             
-            wh->progress.percent((int)(wh->timeLeft * 100));
+            wh->progress.percent((long)(wh->timeLeft * 100));
             wh->progress.text(sstr.str().c_str());
             
             //gtk_progress_bar_set_fraction((GtkProgressBar *)wh->timeBar, wh->timeLeft);
@@ -217,8 +217,8 @@
     second = (wh->timeLeft * 100.0) / 5.0 * 3.0;
     minute = second / 60.0;
     
-    sstr << (int)minute << ':' << std::setw(2) << std::setfill('0') << (int)second;
-    wh->progress.percent((int)(wh->timeLeft * 100));
+    sstr << (long)minute << ':' << std::setw(2) << std::setfill('0') << (long)second;
+    wh->progress.percent((long)(wh->timeLeft * 100));
     wh->progress.text(sstr.str().c_str());
     
     //gtk_progress_bar_set_fraction((GtkProgressBar *)wh->timeBar, wh->timeLeft);
@@ -228,20 +228,20 @@
 }
 
 int WordHunt::checkMatch() {
-    int match;
+    long match;
     std::string str, revstr;
 
     switch (direction) {
         case HORIZONTAL:
-            for (int i = beginx; i <= endx; ++i) {
+            for (long i = beginx; i <= endx; ++i) {
                 //str += gtk_label_get_text((GtkLabel *)letters[i][beginy]);
-                str += toupper((int)g_object_get_data((GObject *)letters[i][beginy], KEY_STR));
+                str += toupper((long)g_object_get_data((GObject *)letters[i][beginy], KEY_STR));
             }
             break;
         case VERTICAL:
-            for (int i = beginy; i <= endy; ++i) {
+            for (long i = beginy; i <= endy; ++i) {
                 //str += gtk_label_get_text((GtkLabel *)letters[beginx][i]);
-                str += toupper((int)g_object_get_data((GObject *)letters[beginx][i], KEY_STR));
+                str += toupper((long)g_object_get_data((GObject *)letters[beginx][i], KEY_STR));
             }
             break;
         case NONE:
@@ -251,24 +251,24 @@
     for (match = 0; match < 10 && words[match] != str; ++match);
     
     if (match < 10 && !wordFound[match]) {
-        //int score;
+        //long score;
         std::stringstream sstr;
         std::string tmpstr;
         bool roundOver(true);
         playWave("gotword.wav");
         
         //score = atoi(gtk_label_get_text((GtkLabel *)totalScore));
-        totalScoreInt += (int)(timeLeft * 3000.0);
+        totalScoreInt += (long)(timeLeft * 3000.0);
         sstr << totalScoreInt;
         str = sstr.str();
         addCommas(str);
         gtk_label_set_text((GtkLabel *)totalScore, str.c_str());
         switch (direction) {
             case HORIZONTAL:
-                for (int i = beginx; i <= endx; ++i) {
+                for (long i = beginx; i <= endx; ++i) {
                     // fix me
                     std::string str;
-                    char ch((int)g_object_get_data((GObject *)letters[i][beginy], KEY_STR));
+                    char ch((long)g_object_get_data((GObject *)letters[i][beginy], KEY_STR));
                     str = "letterlo_";
                     str += ch;
                     str += ".png";
@@ -277,11 +277,11 @@
                 }
                 break;
                 case VERTICAL:
-                        for (int i = beginy; i <= endy; ++i) {
+                        for (long i = beginy; i <= endy; ++i) {
                             // fix me
                             // gtk_widget_modify_style(letters[beginx][i]->parent, bgDone);
                             std::string str;
-                            char ch((int)g_object_get_data((GObject *)letters[beginx][i], KEY_STR));
+                            char ch((long)g_object_get_data((GObject *)letters[beginx][i], KEY_STR));
                             str = "letterlo_";
                             str += ch;
                             str += ".png";
@@ -305,7 +305,7 @@
         direction = NONE;
         movement = MOVEMENT_NONE;
         clearing = false;
-        for (int i = 0; i < 10; ++i) {
+        for (long i = 0; i < 10; ++i) {
             if (!wordFound[i]) {
                 roundOver = false;
             }
@@ -320,7 +320,7 @@
     }
     else {
             revstr = "";
-            for (int i = str.size() - 1; i >= 0; --i) {
+            for (long i = str.size() - 1; i >= 0; --i) {
                     revstr += str[i];
             }
             for (match = 0; match < 10 && words[match] != revstr; ++match);
@@ -333,15 +333,15 @@
                     playWave("gotword.wav");
                     
                     //score = atoi(gtk_label_get_text((GtkLabel *)totalScore));
-                    totalScoreInt += (int)(timeLeft * 3000.0);
+                    totalScoreInt += (long)(timeLeft * 3000.0);
                     sstr << totalScoreInt;
                     str = sstr.str();
                     addCommas(str);
                     gtk_label_set_text((GtkLabel *)totalScore, str.c_str());
                     switch (direction) {
                         case HORIZONTAL:
-                            for (int i = beginx; i <= endx; ++i) {
-                                char ch((int)g_object_get_data((GObject *)letters[i][beginy], KEY_STR));
+                            for (long i = beginx; i <= endx; ++i) {
+                                char ch((long)g_object_get_data((GObject *)letters[i][beginy], KEY_STR));
                                 str = "letterlo_";
                                 str += ch;
                                 str += ".png";
@@ -350,8 +350,8 @@
                             }
                             break;
                         case VERTICAL:
-                            for (int i = beginy; i <= endy; ++i) {
-                                char ch((int)g_object_get_data((GObject *)letters[beginx][i], KEY_STR));
+                            for (long i = beginy; i <= endy; ++i) {
+                                char ch((long)g_object_get_data((GObject *)letters[beginx][i], KEY_STR));
                                 str = "letterlo_";
                                 str += ch;
                                 str += ".png";
@@ -375,7 +375,7 @@
                 direction = NONE;
                 movement = MOVEMENT_NONE;
                 clearing = false;
-                for (int i = 0; i < 10; ++i) {
+                for (long i = 0; i < 10; ++i) {
                     if (!wordFound[i]) {
                         roundOver = false;
                     }
@@ -401,10 +401,10 @@
         return;
     }
     letter = gtk_bin_get_child((GtkBin *)widget);
-    ch = (int)g_object_get_data((GObject *)letter, KEY_STR);
+    ch = (long)g_object_get_data((GObject *)letter, KEY_STR);
 
-    for (int x = 0; x < numberOfRows; ++x) {
-        for (int y = 0; y < numberOfRows; ++y) {
+    for (long x = 0; x < numberOfRows; ++x) {
+        for (long y = 0; y < numberOfRows; ++y) {
             if (wh->letters[x][y]->parent == widget) {
                 if (!wh->hunting) {
                     wh->hunting = true;
@@ -465,8 +465,8 @@
     WordHunt *wh(reinterpret_cast<WordHunt *>(ptr));
     std::string str;
     char ch;
-    int X = (int)(event->x + widget->allocation.x);
-    int Y = (int)(event->y + widget->allocation.y);
+    long X = (long)(event->x + widget->allocation.x);
+    long Y = (long)(event->y + widget->allocation.y);
     GdkRectangle rect;
 	
     if (wh->gameState != GAME_PLAY) {
@@ -480,8 +480,8 @@
     
     X = -1;
     Y = -1;
-    for (int x = 0; x < numberOfRows; ++x) {
-        for (int y = 0; y < numberOfRows; ++y) {
+    for (long x = 0; x < numberOfRows; ++x) {
+        for (long y = 0; y < numberOfRows; ++y) {
             if (gtk_widget_intersect(wh->letters[x][y]->parent, &rect, NULL)) {
                 X = x;
                 Y = y;
@@ -541,7 +541,7 @@
             wh->lastx = wh->endx;
             wh->lasty = wh->endy;
             wh->takeCareOfMove = false;
-            ch = (int)g_object_get_data((GObject *)wh->letters[X][Y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)wh->letters[X][Y], KEY_STR);
             str = "letterhi_";
             str += ch;
             str += ".png";
@@ -557,7 +557,7 @@
             wh->lastx = wh->endx;
             wh->lasty = wh->endy;
             wh->takeCareOfMove = false;
-            ch = (int)g_object_get_data((GObject *)wh->letters[X][Y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)wh->letters[X][Y], KEY_STR);
             str = "letterhi_";
             str += ch;
             str += ".png";
@@ -601,14 +601,14 @@
     }
     if (x == beginx && x == endx) {
         if (highlighted[endx][y]) {
-            ch = (int)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[endx][y], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -619,14 +619,14 @@
     }
     else if (x == endx) {
         if (highlighted[endx][y]) {
-            ch = (int)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[endx][y], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -641,14 +641,14 @@
     }
     else if (x == beginx) {
         if (highlighted[beginx][y]) {
-            ch = (int)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[beginx][y], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -686,7 +686,7 @@
             --beginx;
 
             
-            ch = (int)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
             str = "letterhi_";
             str += ch;
             str += ".png";
@@ -699,7 +699,7 @@
         // if one got skipped, make sure to get it
         while (endx < x) {
             ++endx;
-            ch = (int)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
             
             str = "letterhi_";
             str += ch;
@@ -709,14 +709,14 @@
     }
     else if (x == endx - 1 && endx != beginx && movement == MOVEMENT_RIGHT) {
         if (highlighted[endx][y]) {
-            ch = (int)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[endx][y], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[endx][y], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -732,14 +732,14 @@
     }
     else if (x == beginx + 1 && beginx != endx && movement == MOVEMENT_LEFT) {
         if (highlighted[beginx][y]) {
-            ch = (int)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[beginx][y], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[beginx][y], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -759,14 +759,14 @@
     }
     if (y == beginy && y == endy) {
         if (highlighted[x][beginy]) {
-            ch = (int)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[x][beginy], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -777,14 +777,14 @@
     }
     else if (y == endy) {
         if (highlighted[x][endy]) {
-            ch = (int)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
             str = "letter_lo";
             str += ch;
             str += ".png";
             reloadImage(letters[x][endy], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -799,14 +799,14 @@
     }
     else if (y == beginy) {
         if (highlighted[x][beginy]) {
-            ch = (int)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
             str = "letter_lo";
             str += ch;
             str += ".png";
             reloadImage(letters[x][beginy], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -840,7 +840,7 @@
         
         while (beginy > y) {
             --beginy;
-            ch = (int)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
             str = "letterhi_";
             str += ch;
             str += ".png";
@@ -855,7 +855,7 @@
         while (endy < y) {
             ++endy;
 
-            ch = (int)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
             str = "letterhi_";
             str += ch;
             str += ".png";
@@ -866,14 +866,14 @@
     else if (y == endy - 1 && endy != beginy && movement == MOVEMENT_DOWN) {
         if (highlighted[x][endy]) {
       
-            ch = (int)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[x][endy], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][endy], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
@@ -889,14 +889,14 @@
     }
     else if (y == beginy + 1 && beginy != endy && movement == MOVEMENT_UP) {
         if (highlighted[x][beginy]) {
-            ch = (int)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
             str = "letterlo_";
             str += ch;
             str += ".png";
             reloadImage(letters[x][beginy], str.c_str());
         }
         else {
-            ch = (int)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
+            ch = (long)g_object_get_data((GObject *)letters[x][beginy], KEY_STR);
             str = "letter_";
             str += ch;
             str += ".png";
diff -Naur touchmegames-0.2.5/src/wordhunt/interface.cpp touchmegames-0.2.5.new/src/wordhunt/interface.cpp
--- touchmegames-0.2.5/src/wordhunt/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/wordhunt/interface.cpp	2014-02-09 15:47:24.508829091 +0100
@@ -246,7 +246,7 @@
             g_signal_connect(G_OBJECT(eventBox), 
                             "motion-notify-event",
                             G_CALLBACK(mouseMove), (gpointer)this);
-//             sstr << "/usr/local/share/touchmegames/wordhunt/images/letter.png";
+//             sstr << "/usr/share/touchmegames/wordhunt/images/letter.png";
 //             letters[x][y] = gtk_image_new_from_file(sstr.str().c_str());
             letters[x][y] = loadImage("letter.png");
 
@@ -299,7 +299,7 @@
     
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, false);
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_quit.png");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_quit.png");
     image = loadMainImage("buttons/button_quit.png");
     gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox), "button-press-event",
@@ -462,7 +462,7 @@
     }
     str = INSTALL_DIR;
     str += "wordhunt/lists";
-//     if (parser.openXmlFile("/usr/local/share/touchmegames/wordhunt/lists", "lists", errStr) == 0) {
+//     if (parser.openXmlFile("/usr/share/touchmegames/wordhunt/lists", "lists", errStr) == 0) {
     if (parser.openXmlFile(str.c_str(), "lists", errStr) == 0) {
         std::cerr << "Could not open lists file: " << errStr << std::endl;
         exit(0);
@@ -577,7 +577,7 @@
     for (int y = 0; y < 12; ++y) {
         for (int x = 0; x < 12; ++x) {
             std::stringstream sstr;
-//             sstr << "/usr/local/share/touchmegames/wordhunt/images/letter_" << array[x][y] << ".png";
+//             sstr << "/usr/share/touchmegames/wordhunt/images/letter_" << array[x][y] << ".png";
             sstr << "letter_" << array[x][y] << ".png";
             g_object_set_data((GObject *)letters[x][y], KEY_STR, (void *)array[x][y]);
 //             gtk_image_set_from_file((GtkImage *)letters[x][y], sstr.str().c_str());
@@ -636,7 +636,7 @@
     
     bgCircle = gtk_rc_style_new();
     
-//     bgCircle->bg_pixmap_name[0] = "/usr/local/share/touchmegames/wordhunt/images/letterBg.xpm";
+//     bgCircle->bg_pixmap_name[0] = "/usr/share/touchmegames/wordhunt/images/letterBg.xpm";
     str = INSTALL_DIR;
     str += "wordhunt/image/letterBg.xpm";
     bgCircle->bg_pixmap_name[0] = (char *)str.c_str();
diff -Naur touchmegames-0.2.5/src/wordhunt/Makefile touchmegames-0.2.5.new/src/wordhunt/Makefile
--- touchmegames-0.2.5/src/wordhunt/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/wordhunt/Makefile	2014-02-09 15:47:24.460829089 +0100
@@ -66,22 +66,22 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/sounds ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/sounds; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/sounds ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/sounds; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp lists /usr/local/share/touchmegames/$(GAME_NAME)
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp sounds/*.* /usr/local/share/touchmegames/$(GAME_NAME)/sounds
+	cp lists /usr/share/touchmegames/$(GAME_NAME)
+	cp $(GAME_NAME).gif /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
+	cp sounds/*.* /usr/share/touchmegames/$(GAME_NAME)/sounds
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
